com.h3c.of.lib.match

## Class Match

- java.lang.Object
- - com.h3c.of.lib.OpenflowStructure
  - - com.h3c.of.lib.match.Match

- All Implemented Interfaces:
    Structure
  Direct Known Subclasses:
    MutableMatch

      public class Match
      extends OpenflowStructure

  Represents an OpenFlow Match.

- - ### Field Summary

    - ### Fields inherited from class com.h3c.of.lib.OpenflowStructure

      `version`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Match(ProtocolVersion pv, MatchType matchType, int length, List<MatchField> fileds)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `List<MatchField>` | `fieldList()` Returns the fields in spec-defined order.
    `List<MatchField>` | `getMatchFields()` Returns the list of match fields, in the order they were defined in the match structure.
    `int` | `getMatchLength()`
    `MatchType` | `getMatchType()` Returns the Match type.
    `int` | `getTotalLength()` Returns the total length of the match structure in bytes, including the padding to take the structure out to the nearest 64-bit boundary.
    `int` | `hashCode()`
    `String` | `toDebugString()` Returns a multi-line representation of this Match structure.
    `String` | `toDebugString(int indent)` Returns a multi-line representation of this Match structure.
    `String` | `toString()`

    - ### Methods inherited from class com.h3c.of.lib.OpenflowStructure

      `getVersion, hex, hex, validate`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Match

          public Match(ProtocolVersion pv,
               MatchType matchType,
               int length,
               List<MatchField> fileds)

  - ### Method Detail

    - #### getTotalLength

          public int getTotalLength()

      Returns the total length of the match structure in bytes, including the padding to take the structure out to the nearest 64-bit boundary.
      Returns:
        the length of the match

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `OpenflowStructure`

    - #### fieldList

          public List<MatchField> fieldList()

      Returns the fields in spec-defined order.
      Returns:
        the match fields in order

    - #### toDebugString

          public String toDebugString(int indent)

      Returns a multi-line representation of this Match structure.
      Parameters:
        `indent` - a short string to prefix each line
      Returns:
        a multi-line representation

    - #### toDebugString

          public String toDebugString()

      Returns a multi-line representation of this Match structure.
      Specified by:
        `toDebugString` in interface `Structure`
      Overrides:
        `toDebugString` in class `OpenflowStructure`
      Returns:
        a multi-line representation

    - #### getMatchType

          public MatchType getMatchType()

      Returns the Match type.
      Returns:
        the match type

    - #### getMatchLength

          public int getMatchLength()

    - #### getMatchFields

          public List<MatchField> getMatchFields()

      Returns the list of match fields, in the order they were defined in the match structure.
      Returns:
        the list of match fields

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

Copyright © 2014. All Rights Reserved.